import java.awt.Shape;
import java.awt.geom.GeneralPath;


/**
 * Ein Kuechenschrank, der manipuliert werden kann und sich selbst auf einer Leinwand zeichnet.
 * Unterklasse der Klasse Schrank, daher werden Attribute und Methoden dieser Klasse übernommen.
 * 
 * @author Claus Albowski, modifiziert von Monika Seiffert und Hauke Morisse
 * @version  2 (30.10.2012)
 */

public class Kuechenschrank extends Schrank
{

  protected int ablage;
  
  /**
   * Erzeuge einen neuen Kuechenschrank mit einer Standardfarbe und Standardgroesse
   * an einer Standardposition.
   */
  public Kuechenschrank()
  {
    xPosition = 100;
    yPosition = 50;
    orientierung = 0;
    farbe = "schwarz";
    istSichtbar = false;
    breite = 80;
    tiefe  = 40;
    ablage = 10;
  }
  
  /**
   * Berechnet die zu zeichnende Figur anhand der gegebenen Daten
   */
  protected Shape gibAktuelleFigur()
  {
      // definieren
      GeneralPath kuechenschrank = new GeneralPath();
      kuechenschrank.moveTo(0 , 0);
      kuechenschrank.lineTo(breite, 0);
      kuechenschrank.lineTo(breite, tiefe);
      kuechenschrank.lineTo(breite, 0);
      kuechenschrank.lineTo(0 , tiefe);
      kuechenschrank.lineTo(0, 0);
      kuechenschrank.lineTo(breite, tiefe);
      kuechenschrank.lineTo(0, 0);     
      kuechenschrank.moveTo(0 , tiefe);
      kuechenschrank.lineTo(breite , tiefe);
      kuechenschrank.lineTo(breite , tiefe+ablage);
      kuechenschrank.lineTo(0 , tiefe+ablage);
      kuechenschrank.lineTo(0 , tiefe);
      
      
      return  transformiere(kuechenschrank);
  }
  
}